Rekurrent to‘lovlar: hamkor tomoni
1. get attempt notification
POST /api/recurrent-payments/notify
Request Body
Name | Optional | Description |
|---|---|---|
recurrentPaymentId | false | Recurrent payment id |
cardToken | false | Tokenlashtirilgan karta. Faol va amal qiluvchi bo‘lishi shart. |
attemptId | false | Attempt id |
status | true | Urinish holatini belgilaydi (operatsiya holati; operatsiya yaratilmagan bo‘lsa null bo‘lishi mumkin): 2, 3, 4, 5, 6, 7, 8, 9, 10, -1 |
amount | false | Amount |
ofdUrl | true | Fiskal chek uchun havola |
error | true | Object Muvaffaqiyatsiz bo‘lganda xatolik haqida ma’lumot |
Request Body
{
"cardToken": "card token",
"amount": 100000,
"reccurrentPaymentId": 12,
"attemptId": 234,
"status": 4,
"ofdUrl": "https://sample.uz",
"error": {
"message": "error"
}
}Response Body
{
"message": "Successfully recieved"
}